OpenVDB 3.2.0

Public Types | Public Member Functions | List of all members
MatteShader< Film::RGBA, SamplerType > Class Template Reference

`#include <RayTracer.h>`

Inherits BaseShader.

## Public Types
typedef math::Ray< Real > | RayT

## Public Member Functions
| MatteShader (const Film::RGBA &c=Film::RGBA(1.0f))
virtual | ~MatteShader ()
virtual Film::RGBA | operator() (const Vec3R &, const Vec3R &, const Vec3R &) const
| Defines the interface of the virtual function that returns a RGB color. More...
virtual BaseShader * | copy () const

## Member Typedef Documentation

## ◆ RayT

typedef math::Ray<Real> RayT
| inherited

## Constructor & Destructor Documentation

## ◆ MatteShader()

MatteShader | ( | const Film::RGBA & | c = `Film::RGBA(1.0f)` | ) |
| inline

## ◆ ~MatteShader()

virtual ~MatteShader | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ copy()

virtual BaseShader* copy | ( |  | ) | const
| inline virtual

Implements BaseShader.

## ◆ operator()()

virtual Film::RGBA operator() | ( | const Vec3R & | xyz,
|  | const Vec3R & | nml,
|  | const Vec3R & | dir
| ) |  | const
| inline virtual

Defines the interface of the virtual function that returns a RGB color.

Parameters

  xyz | World position of the intersection point.
  nml | Normal in world space at the intersection point.
  dir | Direction of the ray in world space.

Implements BaseShader.

The documentation for this class was generated from the following file:

- RayTracer.h